io.agora.rtc

## Class UserAudioSpectrumInfo

- java.lang.Object
- - io.agora.rtc.UserAudioSpectrumInfo

-     public class UserAudioSpectrumInfo
      extends java.lang.Object

  Information about user audio spectrum.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AudioSpectrumData` | `spectrumData` Audio spectrum data
    `private int` | `uid` User ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserAudioSpectrumInfo()` Default constructor for UserAudioSpectrumInfo.
    `UserAudioSpectrumInfo(int uid, AudioSpectrumData spectrumData)` Constructs UserAudioSpectrumInfo with UID and spectrum data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AudioSpectrumData` | `getSpectrumData()` Gets the audio spectrum data.
    `int` | `getUid()` Gets the user ID.
    `void` | `setSpectrumData(AudioSpectrumData spectrumData)` Sets the audio spectrum data.
    `void` | `setUid(int uid)` Sets the user ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uid

          private int uid

      User ID

    - #### spectrumData

          private AudioSpectrumData spectrumData

      Audio spectrum data

  - ### Constructor Detail

    - #### UserAudioSpectrumInfo

          public UserAudioSpectrumInfo()

      Default constructor for UserAudioSpectrumInfo.

    - #### UserAudioSpectrumInfo

          public UserAudioSpectrumInfo(int uid,
                                       AudioSpectrumData spectrumData)

      Constructs UserAudioSpectrumInfo with UID and spectrum data.
      Parameters:
        `uid` - User ID
        `spectrumData` - Audio spectrum data

  - ### Method Detail

    - #### getUid

          public int getUid()

      Gets the user ID.
      Returns:
        User ID

    - #### setUid

          public void setUid(int uid)

      Sets the user ID.
      Parameters:
        `uid` - User ID

    - #### getSpectrumData

          public AudioSpectrumData getSpectrumData()

      Gets the audio spectrum data.
      Returns:
        Audio spectrum data

    - #### setSpectrumData

          public void setSpectrumData(AudioSpectrumData spectrumData)

      Sets the audio spectrum data.
      Parameters:
        `spectrumData` - Audio spectrum data